Subject: Re: [Tsvwg] A query

From: Randall Stewart <[email-masked]>
Date: Tue, 03 Jun 2003 17:51:55 -0500

Hi:
Kacheong just pointed out a typo I made... in my hurry :-0

see below..

Randall Stewart wrote:
> Umesh Vats wrote:
> 
>> Can an SCTP endpoint use different set of source address for different
>> associations
>> origination/terminating on it ? E.g, suppose an endpoint 
>> (ASP/SGP/IPSP) has
>> source(self)
>> IP addresses A, B, C, D, E, F and G.
>>
>> Can this endpoint assign source addresses to three associations as :
>>        Assoc 1     :  A, B, C
>>        Assoc 2     :  C, D, E
>>        Assoc 3     :  F, G
>>
>> Umesh Vats
>>
>> _______________________________________________
>> tsvwg mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/tsvwg
>>
>>
> Hmm...
> 
> Yes, I think this could be done.. as long as the stack
> can handle it and not confuse the packets..
> 
> If I wanted to do this with the sockets api on the KAME-FreeBSD machine it
> would have to be three sockets
> 
> One would do
> 
> bind(a)
> sctp_bindx(b,c)
> 

I missed that you had c in two associations.. this is NOT legal.

You could do the above and

bind(d)
sctp_bindx(e)

> the second
> bind(c)
> sctp_bindx(d,e)
Scratch the lines (3) above...

> 
> and the third
> bind(f)
> sctp_bindx(g)
> 
> I am assuming here you are talking about the same port number on all of 
> them.
> 
> In the above (for kame) you would actually have 3 endpoints...  But one 
> could
> open them in the same program if one wanted..
> 
> R
> 

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg